﻿| :mega: Now [Asp.Versioning.Mvc](https://www.nuget.org/packages/Asp.Versioning.Mvc/). See the [announcement](https://github.com/dotnet/aspnet-api-versioning/discussions/807). |
|-|

ASP.NET API versioning gives you a powerful, but easy-to-use method for adding API versioning semantics to your new
and existing REST services built with ASP.NET Core MVC. The API versioning extensions define simple metadata attributes
and conventions that you use to describe which API versions are implemented by your services.

This package contains the primary abstractions library for API versioning that can be used to create server and
client-based applications.

## Commonly Used Types

- Microsoft.AspNetCore.Mvc.ApiVersion
- Microsoft.AspNetCore.Mvc.ApiVersionAttribute
- Microsoft.AspNetCore.Mvc.ControllerNameAttribute
- Microsoft.AspNetCore.Mvc.MapToApiVersionAttribute
- Microsoft.AspNetCore.Mvc.ReportApiVersionsAttribute
- Microsoft.AspNetCore.Mvc.Versioning.ApiVersionModel
- Microsoft.AspNetCore.Mvc.Versioning.ApiVersioningOptions
- Microsoft.AspNetCore.Mvc.Versioning.ApiVersionReader
- Microsoft.AspNetCore.Mvc.Versioning.IApiVersionNeutral
- Microsoft.AspNetCore.Mvc.Versioning.IApiVersionParameterSource
- Microsoft.AspNetCore.Mvc.Versioning.IApiVersionProvider
- Microsoft.AspNetCore.Mvc.Versioning.IApiVersionSelector
- Microsoft.AspNetCore.Mvc.Versioning.IReportApiVersions
- Microsoft.AspNetCore.Mvc.Versioning.QueryStringApiVersionReader

## Release Notes

https://github.com/dotnet/aspnet-api-versioning/releases/tag/v5.1.0
